using Microsoft.EntityFrameworkCore.Storage;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using WorkFlowCheck.Common.DTO;

namespace WorkFlowCheck.BL.Services.Interfaces
{
    public interface INumberGeneratorService
    {
        Task<string> GenerateNextNumberAsync(int templateId, IDbContextTransaction transaction, DateTime? baseDate = null);
        Task<string> GetSampleAsync(int templateId, DateTime? baseDate = null);
        Task<List<NumberGeneratorTemplateDTO>> GetAllNumbergeneratorsAsync();
    }
}
